=== debian/control ===
Source: liblopsub
Section: libdevel
Priority: optional
Maintainer: Andre Noll <maan@tuebingen.mpg.de>
Build-Depends: m4, flex, debhelper (>= 10.0)
Standards-Version: 4.3.0
Homepage: http://people.tuebingen.mpg.de/maan/lopsub
Vcs-Browser: http://git.tuebingen.mpg.de/lopsub.git
Vcs-Git: git://git.tuebingen.mpg.de/lopsub.git

Package: liblopsub1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Long Option Parser for Subcommands
 Lopsub  is  an  open  source library written in C which aims to ease
 the task of creating, documenting and parsing the options of Unix
 command line utilities. It is suitable for simple commands as well
 as complex command line utilities with many subcommands where  each
 subcommand  has its own set of options. Options and documentation are
 kept together in a single file which can be translated to C code (to
 be included in the application), or to a manual page.  The library
 supports single-character short options and GNU-style long  options.
 The public API is well documented and stable.
Homepage: http://people.tuebingen.mpg.de/maan/lopsub

Package: liblopsub-dev
Architecture: any
Depends: ${shlibs:Depends}, liblopsub1 (= ${binary:Version}), ${misc:Depends}
Description: Long Option Parser for Subcommand - headers
 Lopsub  is  an  open  source library written in C which aims to ease
 the task of creating, documenting and parsing the options of Unix
 command line utilities. It is suitable for simple commands as well
 as complex command line utilities with many subcommands where  each
 subcommand  has its own set of options. Options and documentation are
 kept together in a single file which can be translated to C code (to
 be included in the application), or to a manual page.  The library
 supports single-character short options and GNU-style long  options.
 The public API is well documented and stable.
 This package contains the development environment for the lopsub library.
