=== debian/changelog ===
liblopsub (1.0.4-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:12:25 +0000

liblopsub (1.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062407

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 05:37:06 +0000

liblopsub (1.0.4-1) unstable; urgency=low

  * Make the build reproducible (Chris Lamb, Vagrant Cascadian). Closes:
    #1039617, #1039618
  * Avoid crash due to a NULL pointer dereference in certain cases
  * Minor cleanups and fixes, see NEWS for details.

 -- Andre Noll <maan@tuebingen.mpg.de>  Sun, 02 Jul 2023 14:12:13 +0200

liblopsub (1.0.3-2) unstable; urgency=low

  * Make the output of lopsubgen reproducible.
  * Don't embed compile-time timestamps into generated files.

 -- Andre Noll <maan@tuebingen.mpg.de>  Fri, 12 Jul 2019 20:55:26 +0200

liblopsub (1.0.3-1) unstable; urgency=low

  * The only change relative to 1.0.2-1 is the update of the standards
    version field in debian/control. See NEWS for the changes between
    1.0.2 and 1.0.3.

 -- Andre Noll <maan@tuebingen.mpg.de>  Sun, 19 May 2019 16:58:44 +0100

liblopsub (1.0.2-1) unstable; urgency=low

  * Initial Release. Closes: #925911

 -- Andre Noll <maan@tuebingen.mpg.de>  Sun, 3 Mar 2019 00:37:31 +0100
