=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # invoked with the package root as the current directory.
 
 sourcepackage := liblopsub
-package := liblopsub1
+package := liblopsub1t64
 devpackage := liblopsub-dev
 
 define checkdir
@@ -49,8 +49,8 @@
 	$(INST_FILE) debian/copyright $(DEVDOCS_DIR)/copyright
 	$(INST_FILE) debian/changelog $(DOCS_DIR)/changelog.Debian
 	$(INST_FILE) debian/changelog $(DEVDOCS_DIR)/changelog.Debian
-	gzip -f9 $(DOCS_DIR)/changelog.Debian
-	gzip -f9 $(DEVDOCS_DIR)/changelog.Debian
+	gzip -fn9 $(DOCS_DIR)/changelog.Debian
+	gzip -fn9 $(DEVDOCS_DIR)/changelog.Debian
 	dh_makeshlibs
 	dh_shlibdeps
 	dh_strip
