## liblopsub 1.0.5

=== Makefile ===
--- 
+++ 
@@ -113,9 +113,13 @@
 lopsubgen-stage1: $(lsg1_objs)
 	$(CC) -Wall -g $(lsg1_objs) -o $@
 lopsubgen: $(lsg_objs)
-	$(CC) -Wall -g -o $@ $(lsg_objs)
+	$(CC) -Wall -g $(LDFLAGS) -o $@ $(lsg_objs)
 $(REALNAME): $(liblopsub_objs)
-	$(CC) --shared -Wl,-soname,liblopsub.so.$(MAJOR_VERSION) -o $@ $^
+	$(CC) --shared -Wl,-soname,liblopsub.so.$(MAJOR_VERSION) \
+		$(LDFLAGS) -o $@ $^
+liblopsub.a: $(liblopsub_objs)
+	$(AR) -rcs $@ $^
+
 lopsubex: $(lopsubex_objs) $(REALNAME)
 	$(CC) -Wall -g -o $@ $(lopsubex_objs)
 
@@ -151,4 +155,4 @@
 distclean: clean
 	$(RM) *.lsg.c *.lsg.h lopsubgen.c config_file.c lopsubgen-stage1 \
 		lopsub.h lopsub.7 lopsub-suite.5 version.c
-
+-include Makefile.local
