=== debian/changelog ===
liblopsub (1.0.5-1) unstable; urgency=medium

  * prefer https:// over http:// and git://
  * make the build lintian-clean

 -- Andre Noll <maan@tuebingen.mpg.de>  Sat, 11 May 2024 21:02:48 +0200
