=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: liblopsub
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andre Noll <maan@tuebingen.mpg.de>
+Maintainer: Andre Noll <maan@tuebingen.mpg.de>
 Build-Depends: dpkg-dev (>= 1.22.5), m4, flex, debhelper (>= 10.0)
-Standards-Version: 4.3.0
-Homepage: http://people.tuebingen.mpg.de/maan/lopsub
-Vcs-Browser: http://git.tuebingen.mpg.de/lopsub.git
-Vcs-Git: git://git.tuebingen.mpg.de/lopsub.git
+Standards-Version: 4.6.2
+Homepage: https://people.tuebingen.mpg.de/maan/lopsub
+Vcs-Browser: https://git.tuebingen.mpg.de/lopsub.git
+Vcs-Git: https://git.tuebingen.mpg.de/lopsub.git
 
 Package: liblopsub1t64
+Section: libs
 Provides: ${t64:Provides}
 Replaces: liblopsub1
 Breaks: liblopsub1 (<< ${source:Version})
@@ -25,7 +25,6 @@
  be included in the application), or to a manual page.  The library
  supports single-character short options and GNU-style long  options.
  The public API is well documented and stable.
-Homepage: http://people.tuebingen.mpg.de/maan/lopsub
 
 Package: liblopsub-dev
 Architecture: any
