=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Invoke each target with `./debian/rules <target>'.  All targets should be
 # invoked with the package root as the current directory.
 
-sourcepackage := liblopsub
 package := liblopsub1t64
 devpackage := liblopsub-dev
 
@@ -19,9 +18,14 @@
 DEVDOCS_DIR := $(DEVDIR)/usr/share/doc/$(devpackage)
 TRIPLET := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+# activate the dh sequencer
+%:
+	dh "$@"
+
 build-arch:
 	$(checkdir)
-	$(MAKE)
+	$(MAKE) $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all \
+		dpkg-buildflags --export=cmdline)
 build-indep:
 build: build-indep build-arch
 
@@ -43,6 +47,7 @@
 	mv $(TMPDIR)/usr/lib-$(TRIPLET) $(TMPDIR)/usr/lib/$(TRIPLET)
 	dh_install -p $(package)
 	dh_install -p $(devpackage)
+	dh_lintian
 	$(MAKE_DIR) $(DESTDIR)/DEBIAN $(DOCS_DIR) $(DEVDOCS_DIR)
 	echo 'activate-noawait ldconfig' > $(DESTDIR)/DEBIAN/triggers
 	$(INST_FILE) debian/copyright $(DOCS_DIR)/copyright
@@ -56,6 +61,7 @@
 	dh_strip
 	dh_shlibdeps
 	dh_gencontrol
+	dh_md5sums
 	dh_builddeb
 
 binary-indep binary-arch: binary
